Skip to content
Permalink
Browse files

build: Bump MACOSX_DEPLOYMENT_TARGET to 10.7

Refs: nodejs/build#367

libuv is going to drop 10.6 in v2.
Ref: libuv/libuv#758

OS X versions below 10.9 are not supported by Apple anymore and do not
receive security patches.

PR-URL: #6402
Reviewed-By: Ali Ijaz Sheikh <ofrobots@google.com>
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Ben Noordhuis <info@bnoordhuis.nl>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>
Reviewed-By: Fedor Indutny <fedor.indutny@gmail.com>
Reviewed-By: Myles Borins <myles.borins@gmail.com>
  • Loading branch information...
ChALkeR authored and jasnell committed Apr 26, 2016
1 parent dd67608 commit 204f3a8a0b4625f2b13a2104c2f2430329dee7fa
Showing with 1 addition and 1 deletion.
  1. +1 −1 common.gypi
@@ -308,7 +308,7 @@
'GCC_ENABLE_PASCAL_STRINGS': 'NO', # No -mpascal-strings
'GCC_THREADSAFE_STATICS': 'NO', # -fno-threadsafe-statics
'PREBINDING': 'NO', # No -Wl,-prebind
'MACOSX_DEPLOYMENT_TARGET': '10.5', # -mmacosx-version-min=10.5
'MACOSX_DEPLOYMENT_TARGET': '10.7', # -mmacosx-version-min=10.7
'USE_HEADERMAP': 'NO',
'OTHER_CFLAGS': [
'-fno-strict-aliasing',

1 comment on commit 204f3a8

@ChALkeR

This comment has been minimized.

Copy link
Member Author

commented on 204f3a8 Apr 26, 2016

The first ref should have been #5731.
Sorry for that.

Please sign in to comment.
You can’t perform that action at this time.